%exam_8_12
clear;
n=0:8;a=3;A=5;
y=A.*a.^(-0.3.*n);
Z=fliplr(y);
n1=-n(end):-n(1);
n2=fliplr(-(n-4));
s1=cumsum(y);
s2=cumsum(Z);
s3=cumsum(0.1*s1);
subplot(3,2,1),stem(n,y);ylabel('y(n)');
set(gca,'Fontsize',20);
subplot(3,2,2),stem(n1,Z);ylabel('Z(n)=y(-n)');
set(gca,'Fontsize',20);
subplot(3,2,3),stem(n2,Z);ylabel('Z(n)=y(-n+4)');
set(gca,'Fontsize',20);
subplot(3,2,4),stem(n,s1);ylabel('s1(n)');
set(gca,'Fontsize',20);
subplot(3,2,5),stem(n1,s2);ylabel('s2(n)');
set(gca,'Fontsize',20);
subplot(3,2,6),stem(n,s3);ylabel('s3(n)');
set(gca,'Fontsize',20);
